Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1401992 - [abrt] vino: _XSend(): vino-server killed by SIGSEGV
Summary: [abrt] vino: _XSend(): vino-server killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1394599
Alias: None
Product: Fedora
Classification: Fedora
Component: vino
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b2f78d93d49b344facb89ae0ba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 14:24 UTC by David Novák
Modified: 2017-01-29 16:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-24 14:04:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: cgroup (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: core_backtrace (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: dso_list (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: environ (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: exploitable (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: limits (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: maps (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: mountinfo (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: namespaces (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: open_fds (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: proc_pid_status (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details
File: var_log_messages (deleted)
2016-12-06 14:24 UTC, David Novák
no flags Details

Description David Novák 2016-12-06 14:24:35 UTC
Version-Release number of selected component:
vino-3.22.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: _XSend
executable:     /usr/libexec/vino-server
global_pid:     2017
kernel:         4.8.8-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XSend at xcb_io.c:447
 #1 XQueryExtension at QuExt.c:47
 #2 get_xinput_base at XTest.c:79
 #3 find_display at XTest.c:83
 #4 XTestQueryExtension at XTest.c:101
 #5 vino_input_init at server/vino-input.c:761
 #6 name_acquired at server/vino-main.c:152
 #7 do_call at gdbusnameowning.c:215
 #8 request_name_cb at gdbusnameowning.c:327
 #9 g_task_return_now at gtask.c:1121

Potential duplicate: bug 1215373

Comment 1 David Novák 2016-12-06 14:24:40 UTC
Created attachment 1228505 [details]
File: backtrace

Comment 2 David Novák 2016-12-06 14:24:41 UTC
Created attachment 1228506 [details]
File: cgroup

Comment 3 David Novák 2016-12-06 14:24:43 UTC
Created attachment 1228507 [details]
File: core_backtrace

Comment 4 David Novák 2016-12-06 14:24:44 UTC
Created attachment 1228508 [details]
File: dso_list

Comment 5 David Novák 2016-12-06 14:24:46 UTC
Created attachment 1228509 [details]
File: environ

Comment 6 David Novák 2016-12-06 14:24:47 UTC
Created attachment 1228510 [details]
File: exploitable

Comment 7 David Novák 2016-12-06 14:24:48 UTC
Created attachment 1228511 [details]
File: limits

Comment 8 David Novák 2016-12-06 14:24:50 UTC
Created attachment 1228512 [details]
File: maps

Comment 9 David Novák 2016-12-06 14:24:52 UTC
Created attachment 1228513 [details]
File: mountinfo

Comment 10 David Novák 2016-12-06 14:24:53 UTC
Created attachment 1228514 [details]
File: namespaces

Comment 11 David Novák 2016-12-06 14:24:55 UTC
Created attachment 1228515 [details]
File: open_fds

Comment 12 David Novák 2016-12-06 14:24:56 UTC
Created attachment 1228516 [details]
File: proc_pid_status

Comment 13 David Novák 2016-12-06 14:24:58 UTC
Created attachment 1228517 [details]
File: var_log_messages

Comment 14 Tobias Wolter 2016-12-12 14:23:48 UTC
Similar problem has been detected:

Configure the VNC server to start via the 'Sharing' settings. Segfaults when trying to start up.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: _XSend
executable:     /usr/libexec/vino-server
global_pid:     18438
kernel:         4.8.11-300.fc25.x86_64
package:        vino-3.22.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         vino-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Jiri Eischmann 2017-01-24 14:04:54 UTC

*** This bug has been marked as a duplicate of bug 1394599 ***


Note You need to log in before you can comment on or make changes to this bug.